View Issue Details

IDProjectCategoryView StatusLast Update
0001647SymmetricDSNew Featurepublic2014-06-16 20:27
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001647: Create a Java router, transform, and load filter that uses compiled Java code
DescriptionAllow users to specify Java code for custom routers, transforms, and load filters. The code should compile into a method of a Java class and reload whenever the code changes.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 601cc2b8

2014-03-16 08:27:59

erilong

Details Diff
0001647: Create a Java router and transform that uses compiled Java code
0001647
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/JavaColumnTransform.java Diff File
add - symmetric-util/src/main/java/org/jumpmind/util/SimpleClassCompiler.java Diff File

SymmetricDS: master e23532db

2014-03-16 08:41:15

erilong

Details Diff
0001647: Create a Java router and transform that uses compiled Java code
0001647
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

SymmetricDS: master e966b328

2014-03-16 08:41:42

erilong

Details Diff
0001647: Create a Java router and transform that uses compiled Java code
0001647
add - symmetric-core/src/main/java/org/jumpmind/symmetric/route/JavaDataRouter.java Diff File

SymmetricDS: master 115dfc99

2014-03-18 10:37:15

erilong

Details Diff
0001647: Create a Java router, transform, and load filter that uses compiled Java code
0001647
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/BshDatabaseWriterFilter.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DynamicDatabaseWriterFilter.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/load/JavaDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/LoadFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ILoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File

Issue History

Date Modified Username Field Change
2014-03-16 08:26 elong New Issue
2014-03-16 08:26 elong Status new => assigned
2014-03-16 08:26 elong Assigned To => elong
2014-03-16 09:00 Changeset attached => SymmetricDS trunk r8073
2014-03-16 09:00 Changeset attached => SymmetricDS trunk r8074
2014-03-16 09:00 Changeset attached => SymmetricDS trunk r8075
2014-03-18 10:33 elong Summary Create a Java router and transform that uses compiled Java code => Create a Java router, transform, and load filter that uses compiled Java code
2014-03-18 10:33 elong Description Updated View Revisions
2014-03-18 10:37 elong Status assigned => resolved
2014-03-18 10:37 elong Fixed in Version => 3.6.0
2014-03-18 10:37 elong Resolution open => fixed
2014-03-18 11:00 Changeset attached => SymmetricDS trunk r8084
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 115dfc99
2015-07-30 21:49 Changeset attached => SymmetricDS master e966b328
2015-07-30 21:49 Changeset attached => SymmetricDS master e23532db
2015-07-30 21:49 Changeset attached => SymmetricDS master 601cc2b8